Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceNextCodeResponse

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceResponse
          com.rsa.ace.techservice.udpserver.AceNextCodeResponse

All Implemented Interfaces:
  AceResponse

    public class AceNextCodeResponse

extends AbstractAceResponse

Constructor Summary
`AceNextCodeResponse(AceDatagram packet, AceRequest request)`
`AceNextCodeResponse(AceRequest requestPacket)`

Method Summary
`void` | `processResponse()` Reads a response packet by reading from the byte-buffer.
`java.lang.String` | `toString()` Converts the AbstractAceResponse to a string.

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceResponse
`buildResponsePacket, getBuffer, getHeader, getNewNodeSecret, getNodeSecret, getPacket, getProtocolVersion, getRequestToThisResponse, getResponseMsgType, getResponseSize, getResponseStatus, getTrailer, haveNodeSecret, readResponse, setNodeSecret, writeResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AceNextCodeResponse

    public AceNextCodeResponse(AceRequest requestPacket)
                        throws AcePacketException

Parameters:
  `requestPacket` -
Throws:
  `AcePacketException`

### AceNextCodeResponse

    public AceNextCodeResponse(AceDatagram packet,
                               AceRequest request)
                        throws AcePacketException

Parameters:
  `packet` -
  `request` -
Throws:
  `AcePacketException`

Method Detail

### processResponse

    public void processResponse()
                         throws AcePacketException

  Description copied from class: `AbstractAceResponse`
  Reads a response packet by reading from the byte-buffer.

  Specified by:
    `processResponse` in interface `AceResponse`
  Overrides:
    `processResponse` in class `AbstractAceResponse`
  Throws:
    `AcePacketException` - If there is a problem reading the packet byte-buffer.

### toString

    public java.lang.String toString()

  Description copied from class: `AbstractAceResponse`
  Converts the AbstractAceResponse to a string.

  Specified by:
    `toString` in interface `AceResponse`
  Overrides:
    `toString` in class `AbstractAceResponse`
  Returns:
    A String representation of the response.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.